Skip to content

Initiate Workflow Actions on Multiple Workflows

Use this request to initiate a workflow action on multiple workflows. This starts an asynchronous job whose status you can check with the Retrieve Job Status endpoint. Maximum 500 workflows per request.

POST/api/{version}/object/workflow/actions/{action}
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
actionThe name of the workflow action. To get this value, Retrieve Bulk Workflow Actions.

In the body of the request, add any fields required to initiate the action. To find which fields are required for an action, Retrieve Bulk Workflow Action Details.

Cancel Active Workflows: cancelworkflows
Section link for Cancel Active Workflows: cancelworkflows
NameDescription
workflow_idsInput a comma-separated list of workflow_id__v field values. Maximum 500 workflows.
Reassign Workflow Tasks: reassigntasks
Section link for Reassign Workflow Tasks: reassigntasks

Note that this action can reassign a maximum of 500 tasks.

NameDescription
current_task_assigneeInput the user ID of the user whose tasks you wish to reassign. You cannot reassign specific tasks for a user, only all tasks currently assigned to a user.
new_task_assigneeInput the user ID of the user who will receive the newly assigned tasks.
Cancel Workflow Tasks: canceltasks
Section link for Cancel Workflow Tasks: canceltasks

When cancelling tasks, you can do so by user ID or task ID. Use one of the following parameters:

NameDescription
user_idsTo cancel tasks by user ID, input a comma-separated list of the user IDs for the users whose tasks you wish to cancel. You cannot cancel specific tasks for a user, only all tasks currently assigned to a user. Maximum 100 user IDs per request.
task_idsTo cancel tasks by task ID, input a comma-separated list of the task IDs to cancel. You cannot cancel task IDs for a specific user, only all instances of the given task IDs.
Replace Workflow Owner: replaceworkflowowner
Section link for Replace Workflow Owner: replaceworkflowowner
NameDescription
new_workflow_owner__vInput the ID of the user who will become the new workflow owner.
curl -L -X POST -H "Authorization: {SESSION_ID}" \ -H 'Content-Type: application/x-www-form-urlencoded' \ --data-urlencode 'workflow_ids=2903,2904,2905' \ https://myvault.veevavault.com/api/v21.2/object/workflow/actions/cancelworkflows
{ "responseStatus": "SUCCESS", "data": { "job_id": 93601 } }

On SUCCESS, the response returns the job_id for the action, and the authenticated user will receive an email notification with details of any failures that occur.